staqlydocs
REST APIAPI referenceWorkspace

The caller's assistant chats in this workspace, newest first

The caller's assistant chats in this workspace, newest first

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/assistant/chats

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Query Parameters

q?string

Words found in the title

cursor?string

next_cursor of the page before

limit?integer
Range1 <= value <= 100
Default30

Response Body

OK

application/json
  1. response
data*array<>
next_cursor?string
Example Request
curl -X GET 'https://staqly.example.com/v1/assistant/chats'
Example Response
{  "data": [    {      "id": "string",      "title": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "messages": [        {          "role": "user",          "content": "string",          "tool_calls": [            {              "id": "string",              "name": "string",              "arguments": "string"            }          ],          "tool_call_id": "string",          "attachments": [            {              "media_id": "string",              "name": "string",              "mime_type": "string"            }          ]        }      ],      "pending": {        "id": "string",        "name": "string",        "arguments": "string"      }    }  ],  "next_cursor": "string"}